# Використання образу scratch як базового образу
FROM scratch

# Визначення аргументу APP_NAME та його значення за замовчуванням
ARG APP_NAME="compiled_app_name"

# Створення робочої директорії
WORKDIR /home/app

# Копіювання скомпільованої програми до робочої директорії контейнера використовуючи змінну аргументу APP_NAME як вихідне імʼя файлу. В контейнері імʼя файлу повинну бути 'main'
ADD ${APP_NAME} ./main

# Вказати, що контейнер слухатиме на порту 8080
EXPOSE 8080

# Команда для запуску додатку при старті контейнера з робочої директорії
CMD ["./main"]
